Subject: Re: [NOBBC] Lubricheck - The digital 'blood tester' for your car

From: NOBBC <[email-masked]>
Date: Tue, 09 Jul 2013 07:48:54 -0700

Hi Don,
Haven't seen it in action, and a Google search for reviews produced very 
little in the way of testing results.
Sounds interesting, though. Buy one and let us all know how it works for 
you.
Cheers,
Greg

  ;On 7/8/2013 10:33 AM, Don wrote:
> I just saw this product mentioned in the latest Sierra Club
> magazine.  It's a device for checking the condition of the oil in
> your car's engine.  Price is less than $50.  I have always changed
> oil at 3k miles, but I have not been using time as a factor, just
> miles.  Some of my cars don't accumulate 3k miles in three years.
> The factors this device is supposed to be able to check
> are:  acidity, metal particulates, carbonized particulates, and
> foreign liquids.
> :
> http://www.lubricheck.com/demo/home/resources
>
> Anyone out there know anything about the device?  Any thoughts?  I am
> thinking I may just buy one unless I read or hear something negative.
>
> Don Scott,  Calistoga CA USA  / 1955 MGTF, 1962 MGA Mk 2, 1967 MGB,
> 1963-7 MGB (seeking), Misc. Japanese cars
_______________________________________________
[email-masked]
Archive: http://www.team.net/archive

---

From: "David Willson" <[email-masked]>
Date: Tue, 9 Jul 2013 14:10:00 -0700

Well, I just bought one online.  I read a number of reviews and they were
either neutral or positive although there are a number of caveats, mostly
that you have to be careful with it because of the price point.  I'll let
you all know in a week or two how it goes.  I've got several cars out there
with old oil.

David Willson
74 JH
Sebastopol, CA

-----Original Message-----
Subject: Re: [NOBBC] Lubricheck - The digital 'blood tester' for your car

Hi Don,